openbsd.talk Разговоры за чашкой OpenBSD

к: Тысяча мелочей для Pentium 2

Тысяча мелочей для Pentium 2 51t.ru/txt-openbsd-pentium2.html
Набор пакетов и CD/DVD образы OpenBSD для систем класса Pentium 2/3 и 64-256 mb RAM. Консольные и графические приложения.

комментарий

скачал cd версию, установил, далее
mount /dev/cd0a /mnt
cd /mnt/6.1/packages/i386
pkg_add *

и получил множество неустановленных пакетов в виду отсутствия зависимостей...
я чегото не так сделал или исправления данных ошибок - планы на будущее?

ответить

> и получил множество неустановленных пакетов в виду отсутствия зависимостей...

может быть, конфликтов, а не зависимостей? там просто есть взаимоисключающие пакеты :) какую версию ставили, CD или DVD?

ответить

а ещё такой способ установки не различает, какие пакеты поставлены автоматически, а какие - вручную, и они все будут помечены, как установленные вручную.

ответить

CD... возможно и конфликты, был бы интерфейс на русском...
...
Can`t install awesome-4.1: can`t resolve gdk-pixbuf-2.36.6
...
Couldn`t find updates for partial-apache-httpd-2.4.25
...

А почему существует две разные программы, которые нельзя установить одновременно? Ладно, если нельзя их запустить одновременно, а тут именно установка невозможна? Что зачит "взаимоисключающие"? А если их все статически собрать?
А как правельно установить всё ПО с диска?
И ещё, при установки базовой системы было сообщение о невозможности верификации из-за отсутствия SHA256.sig.
А флешки автоматом не монтируются?

ответить

Это не конфликты, это у вас что-то с пакетником - отвалился по нехватке памяти, по проблемам диска или ещё чего-то.

На CD, я так посмотрел, конфликтов нет. На DVD, как минимум, есть vim с поддержкой gtk и без оного - это просто разные FLAVOR-ы одного и того же пакета, они просто взаимоисключаются.

Впрочем, при установке pkg_add * просто один из пакетов не установился бы, и всё, пошло бы дальше. В данном конкретном случае проблема явно не в этом.

ответить